$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.183.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.183.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C7E307A714EF19DAB5A4F439D1AB86A631702B81D6A190EB5D38EE4812395DB0'
  checksumType = 'sha256'
  checksum64 = 'C7E307A714EF19DAB5A4F439D1AB86A631702B81D6A190EB5D38EE4812395DB0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.183-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
